[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFile.UpdateFile

Update the file on disk

## Declaration

Source position: inifiles.pp line 189

`public procedure TIniFile.UpdateFile; override;`

## Description

UpdateFile writes the in-memory data for the ini file to disk. The whole file is written. If the ini file was instantiated from a stream, then the stream is updated. Note that the stream must be seekable for this to work correctly. The ini file is marked as 'clean' after a call to UpdateFile (i.e. not in need of writing to disk).

## Errors

If an error occurs when writing to stream or disk, an exception may be raised.

## See also

CacheUpdates |  | Should changes be kept in memory

Documentation generated on: Feb 26 2014